#include "cpermissioninfo.h"

PermissionInfo::PermissionInfo(std::string permissioName, NoPermissionBehaviour behaviour)
{
    sPermissionName = permissioName;
    eDisplayBehaviour = behaviour;
    iPermissionId = 0;          //0 未初始化
}

bool PermissionInfo::operator==(const PermissionInfo& val) const
{
    return sPermissionName == val.sPermissionName;
}

bool PermissionInfo::operator!=(const PermissionInfo& val) const 
{
    return sPermissionName != val.sPermissionName;
}

bool PermissionInfo::operator<(const PermissionInfo& val) const
{
    return sPermissionName < val.sPermissionName;
}